Bug 35147 - Migrate basic services to UCS 4
Migrate basic services to UCS 4
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Felix Botner
Arvid Requate
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-18 06:44 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-06-18 06:44:19 CEST
The following packages should be migrated to UCS 4:

 univention-apache
 univention-bind
 univention-dhcp
 univention-nfs
 univention-pkgdb 
 univention-postgresql
 univention-printserver
 univention-squid

Please consider the package migration list:

https://hutten.knut.univention.de/mediawiki/index.php/UCS-4.0_Univention_Package_Update
Comment 1 Florian Best univentionstaff 2014-07-28 08:29:40 CEST
services/univention-printserver/debian/control
12:XS-Python-Version: 2.6
→ missing 2.7
Comment 2 Felix Botner univentionstaff 2014-08-19 14:33:48 CEST
done, also migrated univention-foomatic-ppds

i updated the printermodel list 79univention-printserver.inst (and raised the join script VERSION)
Comment 3 Stefan Gohmann univentionstaff 2014-08-25 08:31:46 CEST
I've added a changelog for all migrated packages: r52983
Comment 4 Arvid Requate univentionstaff 2014-08-28 18:49:13 CEST
When installing univention-pkgdb I get this traceback from univention-pkgdb-scan, I guess it needs to be adjusted for a trivial API change in the python module apt_pkg:   It's now called apt_pkf.config instead of apt_pkg.Confi:g

============================================================================
Calling joinscript 50univention-pkgdb.inst ...
Adding SRV record "pkgdb tcp 0 0 5432 master.ucs4dev.dev." to zone ucs4dev.dev...
done
Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
_pkgdb._tcp.ucs4dev.dev has SRV record 0 0 5432 master.ucs4dev.dev.
SQL: CREATE USER "master$" IN GROUP pkgdbg

Traceback (most recent call last):
  File "/usr/sbin/univention-pkgdb-scan", line 37, in <module>
    univention.pkgdb.main()
  File "/usr/lib/pymodules/python2.7/univention/pkgdb.py", line 577, in main
    return action_scan(connection, cursor, config_registry)
  File "/usr/lib/pymodules/python2.7/univention/pkgdb.py", line 471, in action_scan
    architecture = apt_pkg.Config.find("APT::Architecture")
AttributeError: 'module' object has no attribute 'Config'
Object exists: cn=services,cn=univention,dc=ucs4dev,dc=dev
Object created: cn=Software Monitor,cn=services,cn=univention,dc=ucs4dev,dc=dev
Object modified: cn=master,cn=dc,cn=computers,dc=ucs4dev,dc=dev
Joinscript 50univention-pkgdb.inst finished with exitcode 0
============================================================================
Comment 5 Arvid Requate univentionstaff 2014-08-28 19:27:53 CEST
When installing univention-dhcp I get this message, but it seems to be cosmetic as that init script gets disabled anyway:
===========================================================================
[ ok ] Starting NetBIOS name server: nmbd.
isc-dhcp-server (4.2.2.dfsg.1-5+deb70u6.22.201403210610) wird eingerichtet ...
Generating /etc/default/isc-dhcp-server...
[FAIL] Starting ISC DHCP server: dhcpd[....] check syslog for diagnostics. ... failed!
 failed!
invoke-rc.d: initscript isc-dhcp-server, action "start" failed.
===========================================================================

All other packages look good and are installable.
Comment 6 Felix Botner univentionstaff 2014-08-29 10:58:14 CEST
(In reply to Arvid Requate from comment #4)
> When installing univention-pkgdb I get this traceback from
> univention-pkgdb-scan, I guess it needs to be adjusted for a trivial API
> change in the python module apt_pkg:   It's now called apt_pkf.config
> instead of apt_pkg.Confi:g
> 
> ============================================================================
> Calling joinscript 50univention-pkgdb.inst ...
> Adding SRV record "pkgdb tcp 0 0 5432 master.ucs4dev.dev." to zone
> ucs4dev.dev...
> done
> Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
> Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
> Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
> Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
> Host _pkgdb._tcp.ucs4dev.dev not found: 3(NXDOMAIN)
> _pkgdb._tcp.ucs4dev.dev has SRV record 0 0 5432 master.ucs4dev.dev.
> SQL: CREATE USER "master$" IN GROUP pkgdbg
> 
> Traceback (most recent call last):
>   File "/usr/sbin/univention-pkgdb-scan", line 37, in <module>
>     univention.pkgdb.main()
>   File "/usr/lib/pymodules/python2.7/univention/pkgdb.py", line 577, in main
>     return action_scan(connection, cursor, config_registry)
>   File "/usr/lib/pymodules/python2.7/univention/pkgdb.py", line 471, in
> action_scan
>     architecture = apt_pkg.Config.find("APT::Architecture")
> AttributeError: 'module' object has no attribute 'Config'


fixed, it is now apt_pkg.config.find...
also the "Host _pkgdb._tcp.ucs4dev." warning is now hidden 


(In reply to Arvid Requate from comment #5)
> When installing univention-dhcp I get this message, but it seems to be
> cosmetic as that init script gets disabled anyway:
> ===========================================================================
> [ ok ] Starting NetBIOS name server: nmbd.
> isc-dhcp-server (4.2.2.dfsg.1-5+deb70u6.22.201403210610) wird eingerichtet
> ...
> Generating /etc/default/isc-dhcp-server...
> [FAIL] Starting ISC DHCP server: dhcpd[....] check syslog for diagnostics.
> ... failed!
>  failed!
> invoke-rc.d: initscript isc-dhcp-server, action "start" failed.
> ===========================================================================
> 
> All other packages look good and are installable.

the isc-dhcp are not migrated to 4.0 yet, see Bug #33836
Comment 7 Arvid Requate univentionstaff 2014-09-01 11:45:11 CEST
Ok, works.
Comment 8 Stefan Gohmann univentionstaff 2014-11-26 06:54:38 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".